Subject: IETF-FAX WG Draft agenda at Yokohama

From: Hiroshi Tamura <[email-masked]>
Date: Tue, 02 Jul 2002 19:24:04 +0900 (JST)

Folks,

Here is the draft agenda for FAX WG at Yokohama.
If you have comments, please say by Jul 5.

[[[]]] is comment.

--
Hiroshi Tamura, Co-chair of IETF-FAX WG
[email-masked]

---------------------------------------------------------------------

1 Agenda Bashing  (2 min)

2 The I-Ds which IESG approved and are in RFC editor's queue (1 min)
- draft-ietf-fax-implementers-guide-08.txt
  Reference issue of tiff-fx-reg I-D
- draft-ietf-fax-content-negotiation-05.txt
- draft-ietf-fax-tiff-regbis-05.txt
  Urgent Action is necessary for TIFF-FX for Draft Standard.

3 The I-Ds for which IETF Last Call was finished  (2 min)
- draft-ietf-fax-tiff-fx-reg-01.txt
  Urgent Action is necessary for TIFF-FX for Draft Standard.
- draft-ietf-fax-gateway-protocol-08.txt
- draft-ietf-fax-gateway-options-05.txt
- draft-ietf-fax-service-v2-05.txt
  Reference issue of DSN (RFC1894) and TIFF-FX (draft-ietf-fax-tiff-fx-11.txt)

4 The I-D which IESG is reviewing (Before IETF Last Call)  (1 min) 
- draft-ietf-fax-timely-delivery-05.txt 
  Reference issue of draft-vaudreuil-1983ext-01.txt

5 TIFF-FX implementation report  (10 min)
The original report and the additional (new) report to be submitted.
[[[The new report is not submitted here.
I introduce the on-going status.]]]

6 SMTP Service Extension for Content Negotiation  (25 min)
- draft-ietf-fax-esmtp-conneg-02.txt
[[[There seems to be lots of discussions.]]]

7 FFPIM  (5 min)
- draft-ietf-fax-ffpim-01.txt 

8 Addressing  (5 min)
- draft-allocchio-gstn-03.txt

9 FAX in ENUM  (5 min)
[[[Toyoda-san is preparing for something.]]]
[[[Can we add in our milestone?]]]

10 ITU issue (2 min)
- Plan for October ITU SG16 meeting
  Implementers-Guide
  TIFF-FX issue

11 Confirmation of milestone  (2 min)
- TIFF-FX for Draft Standard
 Urgent action need that tiff-fx reg I-D should be Proposed Standard
 Implementation report
- FFPIM
- ESMTP CONNEG
- Addressing
- FAX in ENUM ???

---

From: Hiroshi Tamura <[email-masked]>
Date: Mon, 08 Jul 2002 13:32:41 +0900 (JST)

Folks,

Regarding draft-ietf-fax-tiff-fx-reg-01.txt,
IESG has just approved it at the end of Last Week.
Thus, I change it to section 2.

Also, I increased the estimated time for ESMPT CONNEG
and added the url for new version.

Glenn,
Shall I combine fax-wg agenda and vpim-wg agenda
and send it to [email-masked]?

Regards,
--
Hiroshi Tamura, Ricoh Company, LTD.
[email-masked]

1 Agenda Bashing  (2 min)

2 The I-Ds which IESG approved and are in RFC editor's queue (1 min)
- draft-ietf-fax-implementers-guide-08.txt
- draft-ietf-fax-content-negotiation-05.txt
- draft-ietf-fax-tiff-regbis-05.txt
- draft-ietf-fax-tiff-fx-reg-01.txt
  Urgent Action, i.e. Assignment of RFC Number, is necessary
  for TIFF-FX for Draft Standard.

 
5 TIFF-FX implementation report  (5 min)
The original report and the additional (new) report to be submitted.

6 SMTP Service Extension for Content Negotiation  (30 min)
- draft-ietf-fax-esmtp-conneg-02.txt
- http://www.brandenburg.com/specifications/draft-ietf-fax-esmtp-conneg-03.txt
 
7 FFPIM  (5 min)
 
8 Addressing  (5 min)

9 FAX in ENUM  (5 min)

10 ITU issue (2 min)

---

From: Dave Crocker <[email-masked]>
Date: Sun, 07 Jul 2002 21:53:10 -0700

>- draft-ietf-fax-ffpim-01.txt

The latest version of esmtp-conneg has removed all normative references to 
fax.  This change is intended to make the specification be appropriate for 
general email use.

Toyoda-san and I suggest that the requirement for conforming to 
fax-oriented use of esmtp-conneg, such as with citations to:

      [RFC2305] Toyoda, K., Ohno, H., Murai, J. and  D. Wing,
                "A Simple Mode of Facsimile Using Internet Mail",
                RFC 2305, March 1998.
and
      [RFC2534] Masinter, L., Holtman, K., Mutz, A. and D. Wing, "
                Media Features for Display, Print, and Fax",
                RFC 2534, March 1999.

be added to FFPIM.

How do folks feel about this?

d/

----------
Dave Crocker  <mailto:[email-masked]>
Brandenburg InternetWorking  <http://www.brandenburg.com>
tel +1.408.246.8253;  fax +1.408.850.1850

---

From: Graham Klyne <[email-masked]>
Date: Tue, 09 Jul 2002 20:23:10 +0100

Dave,

If you were to do this, I think you'd also need to state, reasonably 
tightly, the conditions under which the esmtp negotiation would be used 
rather than the UA-based negotiation.  I fear possible confusion or 
fragmentated deployments could be caused if two negotiation mechanisms are 
referenced in FFPIM.

#g
--

At 09:53 PM 7/7/02 -0700, Dave Crocker wrote:
>>- 
>>http://www.brandenburg.com/specifications/draft-ietf-fax-esmtp-conneg-03.txt
>>
>>7 FFPIM  (5 min)
>----------------------------------------------------------
>This message was sent to you, since you are subscribed to
>[email-masked]. You can manage your subscription at
>http://www.neystadt.org/cgi-bin/majordomo

-------------------
Graham Klyne
<[email-masked]>

---

From: Dave Crocker <[email-masked]>
Date: Sat, 13 Jul 2002 16:55:41 +0900

Graham,

At 08:23 PM 7/9/2002 +0100, Graham Klyne wrote:
>rather than the UA-based negotiation.
...
>>...

I agree with your concerns.  So let me wander through some initial thoughts 
on the matter:

1.  I consider FFPIM to be our final effort at achieving a "complete" 
emulation of facsimile through an email profile.  Therefore I suggest that 
we try to incorporate as much as we can, although I acknowledge the 
inherent project management danger in ever making such an open-ended statement.

2.  Both the UA and the SMTP mechanisms use the same CONNEG information 
structure.  So the difference, here, is about the mechanism for exchanging 
things.  (I am being simplistic, but I think it reasonable for this level 
of discussion.)

3.  Given that we are standardizing two ways of achieving the same content 
tailoring -- or rather, two ways of carrying the same content tailoring 
guidance -- I believe it can only be a Good Thing to try to guide and 
resolve the choice within a single document.  In fact, we might even get 
some integration.

So the first thing we need to do is to specify the fax-specific content 
details.  This is the detail in the two RFCs.  It should be the same 
capabilities information for both mechanisms.

My immediate thought is to couple together the use of the two 
mechanisms.  Try to use the SMTP mechanism and fall-back to the UA 
mechanism, because the SMTP mechanism is likely to work more 
quickly.  (These are all MAY, rather than SHOULD or MUST 
specifications.  The goal is to specify a means of integrating them, rather 
than to mandate the One True Way.)

So, we list each mechanism.  Then we list a way to use them in a 
complementary fashion.  (And we might even make a non-normative comment 
about other possible means, such as a hypothetical LDAP-based query.)

Perhaps we need to make a statement about precedence for using information 
obtained through different means.  Come to think of it, we probably need to 
do that anyhow.

OK.  That's enough theorizing, for starters.

Reactions?

d/

----------